Subject: Re: [PATCH] sequencer.c: abbreviate hashs placed in the middle of messages

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 May 2015 10:31:32 -0700

Ralf Thielow <[email-masked]> writes:

>>         error(_("-m option was given for non-merge commit '%s'", ...);
>
> The %s can be placed to somewhere else in translations.

That is true for all the messages, and is something the l10n people
need to be aware of.

We've seen those who are careful to keep '%s' for longer strings
(e.g. end-user controlled ones strings) at the end for this exact
reason. I do not offhand recall if there were cases where we
committed one version that had %s in the middle and then fixed
later to change that message in a separate commit, but there were
cases where earlier messages with %s in the middle were fixed for
this exact reason in their rerolls.